#ifndef VDR_MEDIAMVP_SETUP_H
#define VDR_MEDIAMVP_SETUP_H

#include <vdr/plugin.h>

#include "mvp/libmvp.h"

extern mvpinit_t  MediamvpSetup;
extern int        c_screen_width;
extern int        c_screen_depth;
extern int        c_gui_width;
extern int        c_gui_depth;
extern int        c_screensaver;
extern char      *c_font_file;
extern int        c_standard_switch;

class cMediamvpMenuSetupPage: public cMenuSetupPage {
private:


protected:
        virtual void Store(void);

public:
        cMediamvpMenuSetupPage(void);
        virtual ~cMediamvpMenuSetupPage();
};

extern bool     ConfigParse(const char *Name, const char *Value);

#endif
